1. Currencies
Spreadefi
  • Overview
  • API Reference
    • Currencies
      • List all currencies
        GET
      • Get a single currency
        GET
    • Pairs
      • List available pairs
      • Get amount range for a pair
    • Estimation
      • Estimate an exchange
    • Exchanges
      • Create an exchange
      • List exchanges
      • Get an exchange
  • Schemas
    • Currency
    • Pair
    • Range
    • Estimate
    • ExchangeCreateRequest
    • Exchange
    • Error
  1. Currencies

List all currencies

GET
https://api.spreadefi.io/v1/currencies
Returns every currency and token supported by Spreadefi.

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.spreadefi.io/v1/currencies?fixed='

Responses

🟢200
application/json
A list of supported currencies
Bodyapplication/json

Examples
{
    "symbol": "btc",
    "name": "Bitcoin",
    "network": "btc",
    "has_extra_id": false,
    "extra_id": null,
    "image": "https://static.spreadefi.io/currencies/btc.svg",
    "is_fiat": false,
    "decimals": 8,
    "contract_address": null
}
🟠401Unauthorized
🟠429TooManyRequests
Previous
Overview
Next
Get a single currency
Built with